## org.codehaus.groovy.grails.plugins.support.aware
Interface GrailsApplicationAware

All Known Implementing Classes:
  ControllerFlowRegistry, GrailsControllerHandlerMapping, GrailsDomainClassValidator, GrailsFlowHandlerAdapter, GrailsFlowHandlerMapping, HibernateDomainClassValidator, JavascriptLibraryFilters, PluginAwareResourceBundleMessageSource, TagLibraryLookup, TagLibraryResolver, UrlMappingsHolderFactoryBean

    public interface GrailsApplicationAware

Convenience interface that can be implemented by classes that are registered by plugins.

Since:
  0.2
Author:
  Steven Devijver
See Also:
  `GrailsApplication`

Method Summary
`void` `setGrailsApplication(GrailsApplication grailsApplication)` This method is called by the `ApplicationContext` that loads the Grails application.

Method Detail

### setGrailsApplication

    void setGrailsApplication(GrailsApplication grailsApplication)

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Parameters:
    `grailsApplication` - the `GrailsApplication` object that represents this Grails application

Copyright (c) 2005-2009 The Grails project